悟空,拿我的打狗棒来

logstash5.4.1 启动失败

Logstash | 作者 redhat | 发布于2017年06月12日 | 阅读数:6237

[root@rdassitapp06 bin]# ./logstash -f ../config/rdassit.conf 
Sending Logstash's logs to /opt/logstash-5.4.1/logs which is now configured via log4j2.properties
[2017-06-12T17:32:20,685][ERROR][logstash.inputs.kafka ] Unknown setting 'zk_connect' for kafka
[2017-06-12T17:32:20,687][ERROR][logstash.inputs.kafka ] Unknown setting 'topic_id' for kafka
[2017-06-12T17:32:20,687][ERROR][logstash.inputs.kafka ] Unknown setting 'reset_beginning' for kafka
[2017-06-12T17:32:20,693][ERROR][logstash.agent ] Cannot create pipeline {:reason=>"Something is wrong with your configuration."}
已邀请:

kennywu76 - Wood

赞同来自: laoyang360

报错信息里提示的问题已经很明确了。  'zk_connect',  'topic_id', 'reset_beginning'都是不支持的配置项。 所以你应该查询一下logstash 5.4.1这个版本的kafka input,对应的配置应该如何修改。

redhat

赞同来自:

豆芽图片20170613100350064.png

logstash5.4.1属性改变了,不够属性改好后,又遇到了https://elasticsearch.cn/question/1010同样的问题,原因是kafka版本过低,所以现在要么升级kafka版本,要么降低logstash版本,最终觉得使用低版本的logstash,logstash2.x也是可以向es5.x发送数据的。

要回复问题请先登录注册